<!doctype html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no">

		<title>Beginners guide to architectures</title>

		<link rel="stylesheet" href="dist/reset.css">
		<link rel="stylesheet" href="dist/reveal.css">
		<link rel="stylesheet" href="dist/theme/serif.css" id="theme">

		<!-- Theme used for syntax highlighted code -->
		<link rel="stylesheet" href="plugin/highlight/zenburn.css" id="highlight-theme">
	</head>
	<body>
		<div class="reveal">
			<div class="slides">
				<section>
					<span class="menu-title" style="display: none">What's in a Portfolio Architecture?</span>
					<div style="width: 1056px; height: 150px">
						<h1 class="r-fit-text">What's in a Portfolio Architecture?</h1>
					</div>
					<div style="width: 1056px; height: 400px; font-size: xx-large; text-align: left">
						Portfolio architecture projects are considered complete after delivery of following:<br />
						<br />
						<uL>
							<li>Architecture diagrams for logical, schematic (physical), and detail.</li>
							<li>Architecture blueprint slides, both an internal and public version</li>
							<li>Project listing on the <a href="https://redhat.highspot.com/spots/5edfd710628ba245a7d42454" target="_blank">Portfolio Architecture Smart Page (internal only)</a></li>
							<li>Video recording of public slides</li>
							<li>Publishing an article series on the architecture</li>
						</uL>
						<br />
						<br />
						Let's take a look at an overview of all the enablement content available to get you started...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Learn to use the diagram tooling</h2>
					</div>
					<div style="width: 1056px; height: 400px; text-align: left">
						A complete workshop is available to enable you to use our Portfolio Architecture diagram tooling.
						You can design logical diagrams, schematic diagrams, and detail diagrams to be included in the
						portfolio architecture slides. <br />
						<br />
						Learn more: <a href="https://redhatdemocentral.gitlab.io/portfolio-architecture-workshops" target="_blank">
							Diagram tooling workshop</a>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Portfolio architecture - Internal slides</h2>
					</div>
					<div style="width: 1056px; height: 400px; font-size: xx-large; text-align: left">
						Get started by designing the diagrams as you flush out the architecture slides using a copy of the
						<a href="https://docs.google.com/presentation/d/18YkIdyFCnTprTYeKKnWBEMxtDeUQ1Ypx" target="_blank">this template</a>
						and completing all sections (note, you can also start with one of the existing architecture decks):<br />
						<br />
						<ul>
							<li>intro definition of the use case and add a storytelling image</li>
							<li>add challenges customers faced as noted from research</li>
							<li>add architecture introduction slide (marketecture)</li>
							<li>create and add logical, schematic, and detail diagrams</li>
							<li>add implementation research into last sections (confidential)</li>
						</ul>
						<br />
						<br />
						When finished you can create the public slides...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Portfolio architecture - Public slides</h2>
					</div>
					<div style="width: 1056px; height: 400px; font-size: xx-large; text-align: left">
						The public slides are just a copy of the non-confidential sections of the internal slides (the
						introduction and architecture section). Just create a new slide deck, then cut and paste
						in the public architecture slides and use the LINK option:<br />
						<br />
						<ul>
							<li>intro definition of the use case and add a storytelling image</li>
							<li>include architecture introduction</li>
							<li>include logical, schematic, and detail diagrams</li>
							<li>any updates to your internal deck, public slides only, stay in sync</li>
						</ul>
						<br />
						<br />
						Now you are ready to record a video of the pubic slides...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Portfolio architecture - Project page</h2>
					</div>
					<div style="width: 1056px; height: 400px; font-size: xx-large; text-align: left">
						When the diagrams and slides are starting to wrap up, you can ask the Portfolio Architecture
						team to create your project page. This page starts out with status IN PROGRESS and all your
						content will be added from your projects drive folder.
						<br />
						<br />
						Note: this is an internal site.
						<br />
						<br />
						Turn to the next slide for an example of an IN PROGRESS project page...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Portfolio architecture - IN PROGRESS</h2>
					</div>
					<div style="width: 1056px; height: 50px; font-size: xx-large; text-align: left">
						This project has only linked in the two slide decks and is awaiting a recording:
					</div>
					<div style="width: 1056px; height: 400px;" align="center">
						<img src="images/in-progress-project-page.png">
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						<br />Note that the product listing & customer research are todo...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Portfolio architecture - Published page</h2>
					</div>
					<div style="width: 1056px; height: 50px; font-size: xx-large; text-align: left">
						Here's a completed project page that's fully published:
					</div>
					<div style="width: 1056px; height: 400px;" align="center">
						<img src="images/published-project-page.png">
					</div>
					<div style="width: 1056px; height: 100px; font-size: xx-large; text-align: left">
						<br />Now you are ready to record a video of the pubic slides...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Portfolio architecture - Video recording</h2>
					</div>
					<div style="width: 1056px; height: 400px; font-size: xx-large; text-align: left">
						There are many examples of existing recordings to review, but idea is to quickly cover the public
						slides so that the field can talk to your architecture:<br />
						<br />
						<uL>
							<li>Keep the recording to 10-15 minutes</li>
							<li>note the links in speaker notes to open diagrams in tooling</li>
							<li>google meet recording of slides is sufficient (mp4 file)</li>
						</uL>
						<br />
						<br />
						Many examples can be found in <a href="https://drive.google.com/drive/folders/1meZCLykj-dfqgSsTQ-klij1WnVLu33Z8" target="_blank">
						our internal only drive folders</a>. Upload recording to your blueprint drive folder, we'll ensure it's added
						to proper sales channels (Media Space, Portfolio Architecture project smart page, etc).
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Publishing article series on blueprint</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: xx-large; text-align: left">
						To create some publicity around the project, we've created a simple three part series to
						introduce the architecture, explore both the common elements, and share one or more examples
						from the use case in your blueprint. Publish where you think it's going to have the most effect.
						The following is templated series titles: <br />
						<br />
						<uL>
							<li>ARCHITECTURE NAME - An architectural introduction</li>
							<li>ARCHITECTURE NAME - Common architectural elements</li>
							<li>ARCHITECTURE NAME - Example case of this architecture</li>
						</uL>
						<br />
						<br />
						Let's share an example of each article...
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Article - An architectural introduction</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: xx-large; text-align: left">
						The introduction article launches the architecture series and contains the following sections: <br />
						<br />
						<uL>
							<li>Introduction - intro to the series</li>
							<li>The process - outlines the use case definition and approach to architectures</li>
							<li>What's next - explains the parts coming, provides links to entire series</li>
						</uL>
						<br />
						<br />
						Here's an example: <a href="https://dzone.com/articles/point-of-sale-an-architectural-introduction" target="_blank">
						Point of Sale - An architectural introduction</a>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Article - Common architectural elements</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: xx-large; text-align: left">
						The common architectural elements article takes the reader through the findings in your
						logical diagram: <br />
						<br />
						<uL>
							<li>Introduction - reminder of the series and link to previous article</li>
							<li>Architecture review - review what architectures are and add contact link for feedback</li>
							<li>From specific to generic - Covers the logical diagram findings, each sections after this
							is based on group label from logical diagram</li>
							<li>What's next - provides links to entire series and leads into next article</li>
						</uL>
						<br />
						<br />
						Here's an example: <a href="https://dzone.com/articles/point-of-sale-common-architectural-elements" target="_blank">
						Point of Sale - Common architectural elements</a>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">Article - Common architectural elements</h2>
					</div>
					<div style="width: 1056px; height: 200px; font-size: xx-large; text-align: left">
						Article (if more than one example architecture, split into more articles) to wrap up the
						story with walk through the schematic diagram: <br />
						<br />
						<uL>
							<li>Introduction - reminder of the series and link to previous article</li>
							<li>Architecture review - review what architectures are and add contact link for feedback</li>
							<li>Example architecture title - walk reader through the schematic diagram, can be done for
							network example and data example if desired</li>
							<li>What's next - wraps up, provides links to entire series</li>
						</uL>
						<br />
						<br />
						Here's an example: <a href="https://dzone.com/articles/point-of-sale-example-image-distribution-architect" target="_blank">
						Point of Sale - Example image distribution architecture</a>
					</div>
				</section>

				<section>
					<div style="width: 1056px; height: 150px">
						<h2 class="r-fit-text">The development process</h2>
					</div>
					<div style="width: 1056px; height: 400px; font-size: xx-large; text-align: left">
						Now that you've seen the pieces that make up a completed Portfolio Architecture, let's
						explore the process of developing an architecture and what that actually looks like.<br />
						<br />
						Next up is: <a href="lab04.html" target="_blank">The architecture development process</a>
					</div>
				</section>

			</div>
		</div>

		<script src="dist/reveal.js"></script>
		<script src="plugin/notes/notes.js"></script>
		<script src="plugin/markdown/markdown.js"></script>
		<script src="plugin/highlight/highlight.js"></script>
		<script src="plugin/reveal.js-menu/menu.js"></script>
		<script>
			// More info about initialization & config:
			// - https://revealjs.com/initialization/
			// - https://revealjs.com/config/
			Reveal.initialize({
				hash: true,

				// Learn about plugins: https://revealjs.com/plugins/
				plugins: [ RevealMarkdown, RevealHighlight, RevealNotes, RevealMenu ],

				// Configure menu options.
				menu: {

					// Specifies which side of the presentation the menu will
					// be shown. Use 'left' or 'right'.
    				side: 'left',

					// Specifies the width of the menu.
					// Can be one of the following:
					// 'normal', 'wide', 'third', 'half', 'full', or
					// any valid css length value
					width: '30%',

					// Add slide numbers to the titles in the slide list.
					// Use 'true' or format string (same as reveal.js slide numbers)
					numbers: false,

					// Specifies which slide elements will be used for generating
					// the slide titles in the menu. The default selects the first
					// heading element found in the slide, but you can specify any
					// valid css selector and the text from the first matching
					// element will be used.
					// Note: that a section data-menu-title attribute or an element
					// with a menu-title class will take precedence over this option
					titleSelector: 'h1, h2, h3, h4, h5, h6',

					// If slides do not have a matching title, attempt to use the
					// start of the text content as the title instead
					useTextContentForMissingTitles: false,

					// Hide slides from the menu that do not have a title.
					// Set to 'true' to only list slides with titles.
					hideMissingTitles: false,

					// Adds markers to the slide titles to indicate the
					// progress through the presentation. Set to 'false'
					// to hide the markers.
					markers: true,

					// Specify custom panels to be included in the menu, by
					// providing an array of objects with 'title', 'icon'
					// properties, and either a 'src' or 'content' property.
					//
					// My custom menu with lab chapters
					// custom: [
					// 	{
					// 		title: 'Lab 1 - Installation',
					// 		icon: '<i class="fa fa-external-link">',
					// 		src: 'lab01.html'
					// 	},
					// 	{
					// 		title: 'Lab 2 - Create new project',
					// 		icon: '<i class="fa fa-info">',
					// 		src: 'lab02.html'
					// 	}
					// ]
					custom: false,

					// Specifies the path to the default theme files. If your
					// presentation uses a different path to the standard reveal
					// layout then you need to provide this option, but only
					// when 'themes' is set to 'true'. If you provide your own
					// list of themes or 'themes' is set to 'false' the
					// 'themesPath' option is ignored.
					themesPath: 'dist/theme/',

					// Specifies if the transitions menu panel will be shown.
					// Set to 'true' to show the transitions menu panel with
					// the default transitions list. Alternatively, provide an
					// array to specify the transitions to make available in
					// the transitions panel, for example...
					// ['None', 'Fade', 'Slide']
					transitions: false,

					// Adds a menu button to the slides to open the menu panel.
					// Set to 'false' to hide the button.
					openButton: true,

					// If 'true' allows the slide number in the presentation to
					// open the menu panel. The reveal.js slideNumber option must
					// be displayed for this to take effect
					openSlideNumber: false,

					// If true allows the user to open and navigate the menu using
					// the keyboard. Standard keyboard interaction with reveal
					// will be disabled while the menu is open.
					keyboard: true,

					// Normally the menu will close on user actions such as
					// selecting a menu item, or clicking the presentation area.
					// If 'true', the sticky option will leave the menu open
					// until it is explicitly closed, that is, using the close
					// button or pressing the ESC or m key (when the keyboard
					// interaction option is enabled).
					sticky: true,

					// If 'true' standard menu items will be automatically opened
					// when navigating using the keyboard. Note: this only takes
					// effect when both the 'keyboard' and 'sticky' options are enabled.
					autoOpen: true,

					// If 'true' the menu will not be created until it is explicitly
					// requested by calling RevealMenu.init(). Note this will delay
					// the creation of all menu panels, including custom panels, and
					// the menu button.
					delayInit: false,

					// If 'true' the menu will be shown when the menu is initialised.
					openOnInit: false,

					// By default the menu will load it's own font-awesome library
					// icons. If your presentation needs to load a different
					// font-awesome library the 'loadIcons' option can be set to false
					// and the menu will not attempt to load the font-awesome library.
					loadIcons: true,

				}
			});
		</script>
	</body>
</html>
